function approx = bmp(d,nmp,G,f) %Union of ELlipsoids
    
    nxu = size(G,2);
    np = nmp(1);
    nq = nmp(2);
    
    P = reshape(d(1:np.*(nxu+1)),np,nxu+1);
    p = max(P*[G, ones(size(f))]',[],1);
    Q = reshape(d(np.*(nxu+1)+1:end),nq,nxu+1);
    q = max(Q*[G, ones(size(f))]',[],1);
    
    approx = p-q;
    
end

