function J = mmps_lsq(dv,n1,n2,weight,NL,S,nvar)
    
    P = reshape(dv(1:n1.*nvar),n1,[]);
    p = max(P*[S,ones(size(NL))]',[],1);

    Q = reshape(dv(n1.*nvar+1:end),n2,[]);
    q = max(Q*[S,ones(size(NL))]',[],1);

    error = NL - (p-q)';
    J = [weight.*error;1e-2.*norm(dv,1)];

end

